\ProvidesPackage{musiktheorie}[2022/02/10 - Style file for notes of musiktheorie]

\RequirePackage[ngerman]{babel}
\RequirePackage{fancythm}
\RequirePackage{tikz-cd}
\RequirePackage{mkessler-math}
\RequirePackage{float}
\RequirePackage{mkessler-hypersetup}
\RequirePackage[index]{mkessler-vocab}
\RequirePackage{mkessler-mathalias}
\RequirePackage{todonotes}
\RequirePackage{listing}
\RequirePackage{wasysym}
\RequirePackage{cancel}
\RequirePackage{listings}

\definecolor{KeywordColor}{cmyk}{0.64,0,0.95,0.40} %TODO
\definecolor{mGray}{rgb}{0.5,0.5,0.5}
\definecolor{mOrange}{rgb}{0.9,0.53,0.35}

\lstset{
  language=Python,                             % Code langugage
  basicstyle=\ttfamily,                   % Code font, Examples: \footnotesize, \ttfamily
  keywordstyle=\color{KeywordColor},        % Keywords font ('*' = uppercase)
  commentstyle=\color{mGray},              % Comments font
  numberstyle=\tiny\color{mGray},
  stepnumber=1,                           % Step between two line-numbers
  numbersep=5pt,                          % How far are line-numbers from code
  frame=none,                             % A frame around the code
  tabsize=2,                              % Default tab size
  captionpos=b,                           % Caption-position = bottom
  breaklines=true,                        % Automatic line breaking?
  breakatwhitespace=false,                % Automatic breaks only at whitespace?
  showspaces=false,                       % Dont make spaces visible
  showtabs=false,                         % Dont make tabls visible
  columns=flexible,                       % Column format
  stringstyle=\color{mOrange},
  escapeinside={/*!}{!*/},
}
